#1908 closed defect (fixed)

QoS library for CBS scheduler

Reported by: Petr Benes Owned by: Gedare Bloom
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: gedare@… Blocked By:
Blocking:

Description

Since the CBS scheduler is inspired by AQuoSA project for Linux, additional API (qreslib) compliant with Linux has been created.

Sptest for qreslib included.

2011-09-01 Petr Benes <benesp16@…>

  • Makefile.am, configure.ac, libqos/Makefile.am, libqos/qreslib.h,

libqos/qreslib.inl: QoS API for CBS

2011-09-01 Petr Benes <benesp16@…>

  • Makefile.am, configure.ac, spqreslib/Makefile.am, spqreslib/init.c,

spqreslib/spqreslib.doc, spqreslib/spqreslib.scn, spqreslib/system.h,
spqreslib/task_periodic.c: qreslib sptest

Attachments (4)

qreslib.diff (26.2 KB) - added by Petr Benes on Sep 1, 2011 at 9:06:30 PM.
QoS library for CBS scheduler
qreslib2.diff (26.9 KB) - added by Petr Benes on Sep 14, 2011 at 8:42:41 PM.
QoS library for CBS scheduler - version 2
0001-PR1908-consolidate-libqos-code-and-fix-installed-hea.patch (12.3 KB) - added by Gedare Bloom on Apr 23, 2012 at 12:12:02 PM.
consolidate libqos code and fix installed header location
0001-PR1908-consolidate-libqos-code-and-fix-installed-hea_v1.patch (12.8 KB) - added by Gedare Bloom on Apr 23, 2012 at 12:20:37 PM.
Updated patch.

Download all attachments as: .zip

Change History (11)

Changed on Sep 1, 2011 at 9:06:30 PM by Petr Benes

Attachment: qreslib.diff added

QoS library for CBS scheduler

Changed on Sep 14, 2011 at 8:42:41 PM by Petr Benes

Attachment: qreslib2.diff added

QoS library for CBS scheduler - version 2

comment:1 Changed on Sep 14, 2011 at 8:42:41 PM by Petr Benes

attachments.isobsolete: 01

comment:2 Changed on Apr 16, 2012 at 2:07:12 AM by Gedare Bloom

Resolution: fixed
Status: newclosed

Changed on Apr 23, 2012 at 12:12:02 PM by Gedare Bloom

consolidate libqos code and fix installed header location

comment:3 Changed on Apr 23, 2012 at 12:12:02 PM by Gedare Bloom

Owner: changed from Joel Sherrill to Gedare Bloom
Resolution: fixed
Status: closedreopened

comment:4 Changed on Apr 23, 2012 at 12:20:37 PM by Gedare Bloom

attachments.isobsolete: 01

comment:5 Changed on Apr 23, 2012 at 12:28:40 PM by Gedare Bloom

Resolution: fixed
Status: reopenedclosed

comment:6 Changed on Apr 24, 2012 at 5:08:34 AM by Petr Benes

Thank you for fixing that, Gedare!

comment:7 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.